Subject: bug#68765: 30.0.50; Adding window-tool-bar package.

From: Philip Kaludercic <[email-masked]>
Date: Wed, 22 May 2024 16:16:44 +0000

Jared Finder <[email-masked]> writes:

> On 2024-05-20 02:19, Philip Kaludercic wrote:
>> Jared Finder <[email-masked]> writes:
>>> On 2024-05-19 07:41, Philip Kaludercic wrote:
>>>> Jared Finder <[email-masked]> writes:
>>>>> Is there anything else that needs to be done to get this package on
>>>>> ELPA?  I'd like to use this package on older Emacsen as well.
>>>> It just has to be added to ELPA, but that is a one-line patch to
>>>> elpa.git.  Here is the tarball I generated locally:
>>>> Can you confirm that it looks alright and works on older systems
>>>> (use
>>>> M-x package-install-file)?
>>> Confirmed, just tested it! It worked fine on Emacs 29.1 the
>>> package's
>>> minimum supported version.
>> Regarding that point, I didn't follow the thread in detail, but why
>> is
>> 29.1 the minimum version?  package-lint indicates that it should be
>> compatible with 27.1, but it might be missing something.
>
> Only because that was the version I used regularly when I started
> writing this.  I plan to extend support to earlier Emacs versions in a
> future version of this package.  I'm just waiting on squaring away
> this first step before working on any updates. :)

If you need some special new functionality, you can make use of the
Compat package, which as of Emacs 30 has a bundled shim making it easier
to use it in core packages.

> On 2024-05-19 23:39, Philip Kaludercic wrote:
>> Jared Finder <[email-masked]> writes:
>>> On 2024-05-19 07:41, Philip Kaludercic wrote:
>>>> Where will the package be documented?  Should anything be added to
>>>> the
>>>> ELPA package?
>>> I was hoping documentation could just stay in the core Emacs
>>> manual.
>>> window-tool-bar is a core package and I was hoping to document it next
>>> to existing documentation on the existing (frame) tool bar.  Does that
>>> seem reasonable?
>> Sure, in that case the core should just link to the specific Info
>> node.
>> As soon as the manual is updated on the gnu.org website I'd also add a
>> HTTP link for people previewing the package to be able to see as well.
>
> I'm not quite sure what change you're looking for here.  Let's assume
> I've added an info node "(emacs)Window Tool Bar" that is also a
> function index for global-window-tool-bar-mode, where do you think I
> should mention this link?

In the commentary section of the package.

>> Otherwise, I'll add the package to ELPA now, and I hope it will appear
>> on the site in a few hours.
>
> Yup, I see it! Thanks!
>
>   -- MJF
>

-- 
	Philip Kaludercic on peregrine